#include "DevicePowerSwitch.hpp"

// TODO - Pass fcnPtr or similar to CTOR that will pass up the request
DevicePowerSwitch::DevicePowerSwitch() : _powerIsOn(false), _enablePowerLatch(false)
{
}

bool DevicePowerSwitch::isPowerOn()
{
	return _powerIsOn;
}

void DevicePowerSwitch::enablePower(const bool enable)
{
	_enablePowerLatch = enable;

	// TODO - call the fcnPtr as appropriate to enable power & get state
	_powerIsOn = enable;
}